/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.tuscany.sca.test.exceptions.impl;

import org.apache.tuscany.sca.test.exceptions.Checked;
import org.apache.tuscany.sca.test.exceptions.ExceptionThrower;
import org.oasisopen.sca.annotation.Service;

/**
 * 
 * @version $Rev: 738490 $ $Date: 2009-01-28 06:07:54 -0800 (Wed, 28 Jan 2009) $
 */
@Service(ExceptionThrower.class)
public class ExceptionThrowerImpl implements ExceptionThrower {

    public String theBad() throws Checked {
        throw BAD;
    }

    public String theGood() throws Checked {
        return SO_THEY_SAY;
    }

    public String theUgly() throws Checked {
        throw UGLY;
    }

}
