/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.web.javascript;

import java.util.List;

import javax.xml.namespace.QName;

/**
 * Widget component script generator extension pointinterface
 * 
 * @version $Rev: 938985 $ $Date: 2010-04-28 07:31:18 -0700 (Wed, 28 Apr 2010) $
 * @tuscany.spi.extension.asclient
 */
public interface ComponentJavaScriptGeneratorExtensionPoint {

    /**
     * Add a component script generator
     * @param componentScriptGenerator
     */
    void addComponentJavaScriptGenerator(ComponentJavaScriptGenerator componentScriptGenerator);

    /**
     * Remove a component script generator
     * @param componentScriptGenerator
     */
    void removeComponentJavaScriptGenerator(ComponentJavaScriptGenerator componentScriptGenerator);

    /**
     * Get a component scrpt generator instance based on QName
     * @param bindingName
     * @return
     */
    ComponentJavaScriptGenerator getComponentJavaScriptGenerator(QName bindingName);    
    
    /**
     * Get a list of component script generator instances
     */
    List<ComponentJavaScriptGenerator> getComponentJavaScriptGenerators();
}
